Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class LoginException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.collab.util.NestedException
                        |
                        +--com.compoze.collab.CollaborationException
                              |
                              +--com.compoze.collab.PermissionException
                                    |
                                    +--com.compoze.collab.LoginException

All Implemented Interfaces:
  java.io.Serializable

public class LoginException
extends PermissionException

This exception can be thrown when logging a user in to indicate that they specified some incorrect login parameters.

See Also:
  Serialized Form

Constructor Summary
`LoginException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, java.util.List badProps)` Constructs a LoginException.
`LoginException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, java.lang.Object param, java.util.List badProps)` Constructs a LoginException.

Method Summary
`SessionProperty[]` | `getBadProps()` Get the bad properties as SessionProperty[]

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoginException

    public LoginException(com.compoze.collab.spi.Context ctx,
                          com.compoze.collab.spi.ExceptionResourceKey baseKey,
                          java.util.List badProps)

  Constructs a LoginException.
  Parameters:
    `ctx` - Context for this exception (not `null`)
    `baseKey` - the base key in the resource file (not `null`)
    `badProps` - List of bad property names (Strings) (not `null`)

### LoginException

    public LoginException(com.compoze.collab.spi.Context ctx,
                          com.compoze.collab.spi.ExceptionResourceKey baseKey,
                          java.lang.Object param,
                          java.util.List badProps)

  Constructs a LoginException.
  Parameters:
    `ctx` - Context for this exception (not `null`)
    `baseKey` - the base key in the resource file (not `null`)
    `param` - the parameter to the exception message (not `null`)
    `badProps` - List of bad property names (Strings) (not `null`)

Method Detail

### getBadProps

    public SessionProperty[] getBadProps()

  Get the bad properties as SessionProperty[]
  Returns:
    the bad properties

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.